Page MenuHomePhabricator

Raise maximum zoom level for auto-positioning in Kartographer
Closed, ResolvedPublic

Description

Auto-positioning is now enabled for Kartographer (T158919), but for some reason it has maximum zoom level set to 13. Is the latter necessary? Higher zoom level would be useful when displaying e.g. building outlines or shorter streets (like Q31280181). If suitable then I'd suggest dropping this restriction or changing it to level 19 that matches max zoom in Kartographer.

If I'm not mistaken it's set here.

Event Timeline

Pikne created this task.Nov 20 2018, 5:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 5:57 PM
MSantos triaged this task as Low priority.Nov 27 2018, 4:01 PM
Pikne added a comment.Mar 24 2019, 3:39 PM

This seems to be implemented for snapshots now, e.g. zoom level 17 is used here. Thank you!
I now note that zoom level 13 is also set here in Kartographer as "fallbackZoom". I think it would be better to remove this restriction too.

MSantos closed this task as Resolved.Apr 12 2019, 4:33 PM

Change 503406 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/Kartographer@master] Removing fallbackzoom default

https://gerrit.wikimedia.org/r/503406

Change 503406 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Removing fallbackzoom default

https://gerrit.wikimedia.org/r/503406